
-- Script de création de base GraceTHD V3 : référentiel <Commun>

-- Database generated with pgModeler (PostgreSQL Database Modeler).
-- pgModeler  version: 0.9.2
-- PostgreSQL version: 12.0
-- Project Site: pgmodeler.io


-- object: commun | type: SCHEMA --
-- DROP SCHEMA IF EXISTS commun CASCADE;
CREATE SCHEMA commun;
-- ddl-end --
-- ALTER SCHEMA commun OWNER TO postgres;
-- ddl-end --

SET search_path TO public,commun;
-- ddl-end --


-- object: commun.t_organisme | type: TABLE --
-- DROP TABLE IF EXISTS commun.t_organisme CASCADE;
CREATE TABLE commun.t_organisme (
	or_code character varying(20) NOT NULL,
	or_nom character varying(254),
	or_type character varying(254),
	or_siret character varying(14),
	or_nomvoie character varying(254),
	or_numero integer,
	or_rep character varying(20),
	or_local character varying(254),
	or_postal character varying(20),
	or_commune character varying(254),
	or_siren character varying(9),
	or_activ character varying(254),
	or_l331 character varying(254),
	or_nometab character varying(254),
	or_ad_code character varying(254),
	or_telfixe character varying(20),
	or_mail character varying(254),
	or_comment character varying(254),
	or_creadat timestamp,
	or_majdate timestamp,
	or_majsrc character varying(254),
	or_abddate date,
	or_abdsrc character varying(254),
	CONSTRAINT "t_organisme_pk " PRIMARY KEY (or_code)

);
-- ddl-end --
COMMENT ON TABLE commun.t_organisme IS E'Coordonnées et identification d''organismes publics et privés';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_code IS E'Code de l''organisme';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_nom IS E'Nom de l''opérateur, de la collectivité, de l''entreprise, etc-';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_type IS E'Classification juridique-  Littéral ou nomenclature INSEE-';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_siret IS E'Numéro SIRET dans le cas d''un établissement (sens INSEE, base SIRENE)';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_nomvoie IS E'Nom de la voie';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_numero IS E'Numéro  éventuel  de  l’adresse  dans  la voie';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_rep IS E'Indice de répétition associé au numéro (par exemple Bis, A, 1…)';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_local IS E'Complément d''adresse pour identifier le local-';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_postal IS E'Code  postal  du  bureau  de  distribution de la voie';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_commune IS E'Nom officiel de la commune';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_siren IS E'Numéro SIREN de l''opérateur, de la collectivité, …';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_activ IS E'Activité principale exercée-  Littéral ou Code NAF-';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_l331 IS E'Code court selon liste opérateurs L33-1 (téléchargeable sur le site de l''ARCEP)';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_nometab IS E'Nom de l''établissement, de l''agence (sens INSEE, base SIRENE)';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_ad_code IS E'Identifiant de l''adresse dans la table t_adresse';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_telfixe IS E'Téléphone fixe';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_mail IS E'Mail de contact générique';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_comment IS E'Commentaire';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_creadat IS E'Date de création de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_majdate IS E'Date de la mise à jour de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_majsrc IS E'Source utilisée pour la mise à jour';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_abddate IS E'Date d''abandon de l''objet';
-- ddl-end --
COMMENT ON COLUMN commun.t_organisme.or_abdsrc IS E'Cause de l''abandon de l''objet';
-- ddl-end --
-- ALTER TABLE commun.t_organisme OWNER TO postgres;
-- ddl-end --

-- object: commun.t_document | type: TABLE --
-- DROP TABLE IF EXISTS commun.t_document CASCADE;
CREATE TABLE commun.t_document (
	do_code character varying(254) NOT NULL,
	do_ref character varying(254),
	do_reftier character varying(254),
	do_r1_code character varying(100),
	do_r2_code character varying(100),
	do_r3_code character varying(100),
	do_r4_code character varying(100),
	do_type character varying(3),
	do_indice character varying(3),
	do_date date,
	do_classe character varying(2),
	do_url1 character varying(254),
	do_url2 character varying(254),
	do_comment character varying(254),
	do_creadat timestamp,
	do_majdate timestamp,
	do_majsrc character varying(254),
	do_abddate date,
	do_abdsrc character varying(254),
	CONSTRAINT "t_document_pk " PRIMARY KEY (do_code)

);
-- ddl-end --
COMMENT ON TABLE commun.t_document IS E'Liste des documents concernant le réseau.';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_code IS E'Code unique pouvant être auto-incrémenté (selon plages d''identifiants). Peut-être une valeur';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_ref IS E'Référence du document';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_reftier IS E'Référence du document chez un tiers ou dans une autre base de données.';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_r1_code IS E'Code d''un référencement du réseau 1 (plaque, dsp, BM, etc.)';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_r2_code IS E'Code d''un référencement du réseau 2 (poche, tronçon, etc.)';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_r3_code IS E'Code d''un référencement du réseau 3 (secteur, etc.)';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_r4_code IS E'Code d''un référencement du réseau 4';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_type IS E'Type de document';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_indice IS E'Indice du document';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_date IS E'Date de l''indice du document';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_classe IS E'Classe de précision cartographique (pour les documents cartographiques soumis au décret DT-DICT).';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_url1 IS E'URL du fichier éditable';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_url2 IS E'URL du fichier publiable (PDF, etc.)';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_comment IS E'Commentaire';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_creadat IS E'Date de création de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_majdate IS E'Date de la mise à jour de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_majsrc IS E'Source utilisée pour la mise à jour';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_abddate IS E'Date d''abandon de l''objet';
-- ddl-end --
COMMENT ON COLUMN commun.t_document.do_abdsrc IS E'Cause de l''abandon de l''objet';
-- ddl-end --
-- ALTER TABLE commun.t_document OWNER TO postgres;
-- ddl-end --

-- object: commun.t_docobj | type: TABLE --
-- DROP TABLE IF EXISTS commun.t_docobj CASCADE;
CREATE TABLE commun.t_docobj (
	od_id bigint NOT NULL,
	od_do_code character varying(254) NOT NULL,
	od_tbltype character varying(2),
	od_codeobj character varying(254) NOT NULL,
	od_creadat timestamp,
	od_majdate timestamp,
	od_majsrc character varying(254),
	od_abddate date,
	od_abdsrc character varying(254),
	CONSTRAINT "t_docobj_pk " PRIMARY KEY (od_id)

);
-- ddl-end --
COMMENT ON TABLE commun.t_docobj IS E'Relations entre les objets et la liste des documents concernant le réseau.';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_id IS E'Identifiant unique pouvant être auto-incrémenté (selon plages d''identifiants)';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_do_code IS E'Code du document';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_tbltype IS E'Code du type d''objets auxquels sont rattachés des documents.';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_codeobj IS E'Identifiant faisant référence aux identifiants des objets Cable,Point techniques, …etc.';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_creadat IS E'Date de création de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_majdate IS E'Date de la mise à jour de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_majsrc IS E'Source utilisée pour la mise à jour';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_abddate IS E'Date d''abandon de l''objet';
-- ddl-end --
COMMENT ON COLUMN commun.t_docobj.od_abdsrc IS E'Cause de l''abandon de l''objet';
-- ddl-end --
-- ALTER TABLE commun.t_docobj OWNER TO postgres;
-- ddl-end --

-- object: commun.t_empreinte | type: TABLE --
-- DROP TABLE IF EXISTS commun.t_empreinte CASCADE;
CREATE TABLE commun.t_empreinte (
	em_code character varying(254) NOT NULL,
	em_do_code character varying(254) NOT NULL,
	em_geolsrc character varying(254),
	em_creadat timestamp,
	em_majdate timestamp,
	em_majsrc character varying(254),
	em_abddate date,
	em_abdsrc character varying(254),
	geom public.geometry NOT NULL,
	CONSTRAINT "t_empreinte_pk " PRIMARY KEY (em_code),
	CONSTRAINT em_do_code_unique UNIQUE (em_do_code)

);
-- ddl-end --
COMMENT ON TABLE commun.t_empreinte IS E'Empreinte des documents couvrant une emprise spatiale.';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_code IS E'Code unique pour une empreinte de document.';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_do_code IS E'Code d''un document.';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_geolsrc IS E'Source de la géolocalisation pour préciser la source si nécessaire';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_creadat IS E'Date de création de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_majdate IS E'Date de la mise à jour de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_majsrc IS E'Source utilisée pour la mise à jour';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_abddate IS E'Date d''abandon de l''objet';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.em_abdsrc IS E'Cause de l''abandon de l''objet';
-- ddl-end --
COMMENT ON COLUMN commun.t_empreinte.geom IS E'Polygone d''empreinte du document';
-- ddl-end --
-- ALTER TABLE commun.t_empreinte OWNER TO postgres;
-- ddl-end --

-- object: commun.t_reference | type: TABLE --
-- DROP TABLE IF EXISTS commun.t_reference CASCADE;
CREATE TABLE commun.t_reference (
	rf_code character varying(254) NOT NULL,
	rf_type character varying(2),
	rf_design character varying(254),
	rf_fabric character varying(20),
	rf_etat character varying(1),
	rf_comment character varying(254),
	rf_creadat timestamp,
	rf_majdate timestamp,
	rf_majsrc character varying(254),
	rf_abddate date,
	rf_abdsrc character varying(254),
	CONSTRAINT "t_reference_pk " PRIMARY KEY (rf_code)

);
-- ddl-end --
COMMENT ON TABLE commun.t_reference IS E'Référence de matériel ou de coupe type.';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_code IS E'Code permettant d''identifier la référence d''un matériel dans la base.';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_type IS E'Type de matériel';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_design IS E'Design';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_fabric IS E'Fabricant';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_etat IS E'Disponibilité de la référence';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_comment IS E'Commentaires';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_creadat IS E'Date de création de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_majdate IS E'Date de la mise à jour de l''objet en base';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_majsrc IS E'Source utilisée pour la mise à jour';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_abddate IS E'Date d''abandon de l''objet';
-- ddl-end --
COMMENT ON COLUMN commun.t_reference.rf_abdsrc IS E'Cause de l''abandon de l''objet';
-- ddl-end --
-- ALTER TABLE commun.t_reference OWNER TO postgres;
-- ddl-end --

-- object: commun.l_geoloc_classe | type: TABLE --
-- DROP TABLE IF EXISTS commun.l_geoloc_classe CASCADE;
CREATE TABLE commun.l_geoloc_classe (
	code character varying(2) NOT NULL,
	libelle character varying(254),
	definition character varying(254),
	CONSTRAINT l_geoloc_classe_pk PRIMARY KEY (code)

);
-- ddl-end --
-- ALTER TABLE commun.l_geoloc_classe OWNER TO postgres;
-- ddl-end --

-- object: commun.l_doc_tab | type: TABLE --
-- DROP TABLE IF EXISTS commun.l_doc_tab CASCADE;
CREATE TABLE commun.l_doc_tab (
	code character varying(2) NOT NULL,
	libelle character varying(254),
	definition character varying(254),
	CONSTRAINT l_doc_tab_pk PRIMARY KEY (code)

);
-- ddl-end --
-- ALTER TABLE commun.l_doc_tab OWNER TO postgres;
-- ddl-end --

-- object: commun.l_doc_type | type: TABLE --
-- DROP TABLE IF EXISTS commun.l_doc_type CASCADE;
CREATE TABLE commun.l_doc_type (
	code character varying(3) NOT NULL,
	libelle character varying(254),
	definition character varying(254),
	CONSTRAINT l_doc_type_pk PRIMARY KEY (code)

);
-- ddl-end --
-- ALTER TABLE commun.l_doc_type OWNER TO postgres;
-- ddl-end --

-- object: commun.l_reference_etat | type: TABLE --
-- DROP TABLE IF EXISTS commun.l_reference_etat CASCADE;
CREATE TABLE commun.l_reference_etat (
	code character varying(1) NOT NULL,
	libelle character varying(254),
	definition character varying(254),
	CONSTRAINT l_reference_etat_pk PRIMARY KEY (code)

);
-- ddl-end --
-- ALTER TABLE commun.l_reference_etat OWNER TO postgres;
-- ddl-end --

-- object: commun.l_reference_type | type: TABLE --
-- DROP TABLE IF EXISTS commun.l_reference_type CASCADE;
CREATE TABLE commun.l_reference_type (
	code character varying(2) NOT NULL,
	libelle character varying(254),
	definition character varying(254),
	CONSTRAINT l_reference_type_pk PRIMARY KEY (code)

);
-- ddl-end --
-- ALTER TABLE commun.l_reference_type OWNER TO postgres;
-- ddl-end --

-- object: fk_t_docobj_od_do_code | type: CONSTRAINT --
-- ALTER TABLE commun.t_docobj DROP CONSTRAINT IF EXISTS fk_t_docobj_od_do_code CASCADE;
ALTER TABLE commun.t_docobj ADD CONSTRAINT fk_t_docobj_od_do_code FOREIGN KEY (od_do_code)
REFERENCES commun.t_document (do_code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- object: fk_t_empreinte_em_do_code | type: CONSTRAINT --
-- ALTER TABLE commun.t_empreinte DROP CONSTRAINT IF EXISTS fk_t_empreinte_em_do_code CASCADE;
ALTER TABLE commun.t_empreinte ADD CONSTRAINT fk_t_empreinte_em_do_code FOREIGN KEY (em_do_code)
REFERENCES commun.t_document (do_code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- object: fk_t_reference_rf_fabric | type: CONSTRAINT --
-- ALTER TABLE commun.t_reference DROP CONSTRAINT IF EXISTS fk_t_reference_rf_fabric CASCADE;
ALTER TABLE commun.t_reference ADD CONSTRAINT fk_t_reference_rf_fabric FOREIGN KEY (rf_fabric)
REFERENCES commun.t_organisme (or_code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- object: fk_t_document_do_type | type: CONSTRAINT --
-- ALTER TABLE commun.t_document DROP CONSTRAINT IF EXISTS fk_t_document_do_type CASCADE;
ALTER TABLE commun.t_document ADD CONSTRAINT fk_t_document_do_type FOREIGN KEY (do_type)
REFERENCES commun.l_doc_type (code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- object: fk_t_docobj_od_tbltype | type: CONSTRAINT --
-- ALTER TABLE commun.t_docobj DROP CONSTRAINT IF EXISTS fk_t_docobj_od_tbltype CASCADE;
ALTER TABLE commun.t_docobj ADD CONSTRAINT fk_t_docobj_od_tbltype FOREIGN KEY (od_tbltype)
REFERENCES commun.l_doc_tab (code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- object: fk_t_reference_rf_etat | type: CONSTRAINT --
-- ALTER TABLE commun.t_reference DROP CONSTRAINT IF EXISTS fk_t_reference_rf_etat CASCADE;
ALTER TABLE commun.t_reference ADD CONSTRAINT fk_t_reference_rf_etat FOREIGN KEY (rf_etat)
REFERENCES commun.l_reference_etat (code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- object: fk_t_reference_rf_etat | type: CONSTRAINT --
-- ALTER TABLE commun.t_reference DROP CONSTRAINT IF EXISTS fk_t_reference_rf_etat CASCADE;
ALTER TABLE commun.t_reference ADD CONSTRAINT fk_t_reference_rf_type FOREIGN KEY (rf_type)
REFERENCES commun.l_reference_type (code) MATCH SIMPLE
ON DELETE NO ACTION ON UPDATE NO ACTION;
-- ddl-end --

-- -- object: public.geometry | type: TYPE --
-- -- DROP TYPE IF EXISTS public.geometry CASCADE;
-- CREATE TYPE public.geometry;
-- -- ddl-end --
-- 

--l_geoloc_classe
INSERT INTO commun.l_geoloc_classe
    VALUES ('A','CLASSE DE PRECISION A','Décret du 15 février 2012 : un ouvrage ou tronçon d ouvrage est rangé dans la classe A si l incertitude maximale de localisation indiquée par son exploitant est inférieure ou égale à 40 cm et s il est rigide, ou à 50 cm s il est flexible.');
INSERT INTO commun.l_geoloc_classe
    VALUES ('AP','CLASSE DE PRECISION A, EN PLANIMETRIE UNIQUEMENT','Idem classe A, mais uniquement pour les
    Valeurs x et y (hors z)');
INSERT INTO commun.l_geoloc_classe
    VALUES ('B','CLASSE DE PRECISION B','Décret du 15 février 2012 : un ouvrage ou tronçon d ouvrage est rangé dans la classe B si l incertitude maximale de localisation indiquée par son exploitant est supérieure à celle relative à la classe A et inférieure ou égale à 1,5 mètre.');
INSERT INTO commun.l_geoloc_classe
    VALUES ('C','CLASSE DE PRECISION C','Décret du 15 février 2012 : un ouvrage ou tronçon d ouvrage est rangé dans la classe C si l incertitude maximale de localisation indiquée par son exploitant est supérieure à 1,5 mètre, ou si son exploitant n est pas en mesure de fournir la localisation.');

--l_reference_etat
INSERT INTO commun.l_reference_etat
    VALUES ('A','ACTIVE','');
INSERT INTO commun.l_reference_etat
    VALUES ('N','NON DISPONIBLE','');


--l_reference_type
INSERT INTO commun.l_reference_type
    VALUES ('BA','BAIE','');
INSERT INTO commun.l_reference_type
    VALUES ('BP','ELEMENT DE BRANCHEMENT PASSIF','');
INSERT INTO commun.l_reference_type
    VALUES ('CA','CABLE','');
INSERT INTO commun.l_reference_type
    VALUES ('CS','CASSETTE','');
INSERT INTO commun.l_reference_type
    VALUES ('CT','COUPE TYPE','');
INSERT INTO commun.l_reference_type
    VALUES ('EQ','EQUIPEMENT','');
INSERT INTO commun.l_reference_type
    VALUES ('PT','POINT TECHNIQUE','');
INSERT INTO commun.l_reference_type
    VALUES ('ST','SITE','');
INSERT INTO commun.l_reference_type
    VALUES ('TI','TIROIR','');

--l_doc_type
INSERT INTO commun.l_doc_type
     VALUES ('DIG','DOSSIER D INGENIERIE : REGLES D INGENIERIE UTILISEES','Ensemble des regles d ingenierie etablies par la collectivite pour le deploiement du reseau. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('ETU','RAPPORT D ETUDE','Rapport de l etude. Le rapport pourra contenir notamment l index des documents produits dans le cadre de l etude. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('PSI','PLAN DE SITUATION, SYNOPTIQUE GEOGRAPHIQUE','Vue globale du projet, ou d une partie du projet de deploiement. Fond de carte, trace du projet, eventuellement, reperage des plans du projet ou d autres elements selon besoin. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('PPH','PLAN DE PHASAGE','Phasage prevu des deploiements. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('PCB','PLAN DE CABLAGE','Vue d ensemble de l infrastrcuture d accueil et du cablage : fond de carte avec noms et numeros de rues, zone de desserte, cables, points techniques, ebp, … Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('PMQ','PLAN DE MASQUE OU FICHE FOA','Plan des masques de la chambre, position des alveoles, fourreaux et eventuellement câbles');
INSERT INTO commun.l_doc_type
     VALUES ('DPO','DOSSIER APPUIS AERIENS','Documents relatifs a l utilisation d un appui aerien : fiche descriptive, etude de charge, documents pour redressement, renforcement ou remplacement d appui. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('FOT','PHOTO','Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('PGC','PLAN DE GENIE CIVIL','Detail du genie civil, et plus particulierement : fond de plan topographique, cheminement des conduites telecoms, affleurants, cotations, points de mesure, habillage, … Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DLV','DOSSIER DE LEVE OU D INVESTIGATIONS COMPLEMENTAIRES','Documents et fichiers fournis dans le cadre d une prestation de releve topographique, avec ou sans detection (investigations complementaires et/ou releves autres). Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('SGC','DETAIL OU SCHEMA DE GENIE CIVIL','Complement de detail au plan de genie civil. Le plan ou schema de detail est generalement necessaire dans le cas d un forage dirige, d un encorbellement, d une pose en ovoïde… Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DPI','DOSSIER DE PIQUETAGE','Dossier contenant l ensemble des documents relatifs aux operations de piquetage d une infrastructure : rapport, annotations terrain, photos, mesures… Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DBL','DOSSIER DE RELEVE BOITES AUX LETTRES','Dossier contenant l ensemble des documents produits dans le cadre d un releve de boîtes aux lettres. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('KRV','REGLEMENT DE VOIRIE','Copie du règlement de voirie en application au moment du projet. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('CPV','PERMISSION OU AUTORISATION DE VOIRIE','Copie du PLU existant au moment du projet. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DTT','DT EMISES DANS LE CADRE DU PROJET DE DEPLOIEMENT','Modalites techniques de l execution des travaux, autorisation d occuper le domaine public, definition de la redevance annuelle a adresser au gestionnaire de la voirie, zone concernee et duree de validite fixee. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DIT','DICT EMISES DANS LE CADRE DU PROJET DE DEPLOIEMENT','DT emises sous la responsabilite de la MOA (sauf si delegation MOE) : formulaire Cerfa envoye aux differents exploitants de reseaux dans la zone des travaux, compilation des reponses et suivi. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DAM','DIAGNOSTIC AMIANTE ENROBE','DICT emises sous la responsabilite de l entreprise de travaux :  formulaire Cerfa envoye aux differents exploitants de reseaux dans la zone des travaux, compilation des reponses et suivi. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('CIN','CONTRAT OU CONVENTION DE LOCATION/CESSION/ACHAT/OCCUPATION D INFRASTRUCTURE','Localisation des points de sondage, resultat des carottages et analyses. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('CMU','CONTRAT OU CONVENTION DE CO-CONSTRUCTION OU MUTUALISATION DE TRAVAUX','Diagnostic Technique Amiante pour un immeuble. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DIP','DOSSIER D IMPLANTATION (SRO, NRO, BPI…)','Conditions, redevance eventuelle, zone concernee, description des infrastrutures concernees, duree de validite… Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('SOP','SYNOPTIQUE OPTIQUE','Dossier contenant l ensemble des documents relatifs a la commande (fichiers de commande, suivi des echanges, bon de reception, etc .). Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('SBP','PLAN DE BOITE, OU AUTRE ELEMENT DE BRANCHEMENT PASSIF','Mutualisation de travaux dans le cadre de la L49 (loi Pintat). Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('SRA','SCHEMA DE RACCORDEMENT (BAIE, ARMOIRE, REPARTITEUR…)','Dossier contenant toutes les informations techniques relatives a la construction, a l adduction et au cablage d un site (zone privative y compris l eventuel deploiement d infrastructures intra-site et les BPE attenantes). Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('KEQ','DOCUMENTATION TECHNIQUE D EQUIPEMENT','Dossier contenant toutes les informations techniques relatives  au deploiement, a l adduction et au cablage d un site (zone privative y compris l eventuel deploiement d infrastructures intra-site et les BPE attenantes). Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('CIM','CONVENTION THD IMMEUBLE','Contient toutes les informations techniques, plans d amenagement, schemas, PV et consuel, photos… relatifs  a l implantation du site (voie publique). Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('CIS','CONVENTION CADRE BAILLEUR SOCIAL','Vue logique des aligements de fibres. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('CDS','REGLEMENT DE SERVICE','Organisation de la boîte, des arrivees de câbles, des loves, des cassettes et de la connectique. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('COC','AUTRE CONVENTION D OCCUPATION EMPRISE PRIVEE','Organisation de la connectique a l interieur d une baie, d une armoire ou d un repartiteur. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('MRF','MESURE DE REFLECTOMETRIE','Fiche technique et specifications techniques d un equipement. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('MFX','TEST D ETANCHEITE DE FOURREAUX ET/OU TESTS DE MANDRINAGE, AIGUILLAGE','Voir modele propose par l ARCEP. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('RGC','PV DE RECEPTION GENIE CIVIL','Voir modele propose par l ARCEP. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DIF','DOSSIER INFRASTRUCTURE D ACCUEIL','Reglement signe par les occupants d un immeuble raccorde au FTTH, pour clarifier les regles de bon usage visant la non degradation des equipements poses par la collectivite. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DCB','DOSSIER DE CABLAGE','Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DOP','DOSSIER OPTIQUE','Courbes et donnees brutes. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DPR','DOSSIER DE PROJET','Fiches de tests. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DLG','DOSSIER DE LIVRABLES GRACETHD','Proces verbal de reception pour les travaux de genie civil. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DCI','DOSSIER DE COMMANDE POUR LOCATION/OCCUPATION D INFRASTRUCTURE','Proces verbal de reception de voirie delivre par le gestionnaire de la voirie, vaut acceptation des travaux par le gestionnaire. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DCS','DOSSIER DE CREATION DE SITE','Fiche de recette pour la reception de travaux quels qu ils soient. La fiche de recette peut inclure des resultats de tests, des fichiers ou des informations complementaires. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DRS','DOSSIER DE RACCORDEMENT DE SITE','Dossier contenant un ensemble de documents relatifs a une infrastructure d accueil. Ce dossier n est pas un type de document a proprement parler, mais un conteneur d une multiplicite de documents. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('KPL','PLAN LOCAL D URBANISME','Dossier contenant un ensemble de documents relatifs au câblage d une infrastructure. Ce dossier n est pas un type de document a proprement parler, mais un conteneur d une multiplicite de documents. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('RFR','FICHE DE RECETTE','Dossier contenant un ensemble de documents relatifs au raccordement d une infrastructure. Ce dossier n est pas un type de document a proprement parler, mais un conteneur d une multiplicite de documents. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('RVR','PV DE RECEPTION DE VOIRIE','Dossier contenant un ensemble de documents relatifs au projet de deploiement. Ce dossier n est pas un type de document a proprement parler, mais un conteneur d une multiplicite de documents. Voir GraceTHD-MOD.');
INSERT INTO commun.l_doc_type
     VALUES ('DTA','DIAGNOSTIC TECHNIQUE AMIANTE POUR UN IMMEUBLE','Dossier contenant un ensemble de livrables GraceTHD. Les livrables doivent eux-meme etre nommes et crees selon les exigences du Geostandard ANT. Voir GraceTHD-MOD.');

--l_doc_tab
INSERT INTO commun.l_doc_tab
     VALUES ('CB','CABLE','');
INSERT INTO commun.l_doc_tab
     VALUES ('CD','CONDUITE','');
INSERT INTO commun.l_doc_tab
     VALUES ('BP','ELEMENT BRANCHEMENT PASSIF','');
INSERT INTO commun.l_doc_tab
     VALUES ('MQ','MASQUE','');
INSERT INTO commun.l_doc_tab
     VALUES ('ND','NOEUD','');
INSERT INTO commun.l_doc_tab
     VALUES ('PT','POINT TECHNIQUE','');
INSERT INTO commun.l_doc_tab
     VALUES ('ST','SITE TECHNIQUE','');
INSERT INTO commun.l_doc_tab
     VALUES ('SF','SITE UTILISATEUR FINAL','');
INSERT INTO commun.l_doc_tab
     VALUES ('LT','LOCAL TECHNIQUE','');
INSERT INTO commun.l_doc_tab
     VALUES ('AD','ADRESSE','');
INSERT INTO commun.l_doc_tab
     VALUES ('BA','BAIE','');
INSERT INTO commun.l_doc_tab
     VALUES ('CS','CASSETTE','');
INSERT INTO commun.l_doc_tab
     VALUES ('EQ','EQUIPEMENT','');
INSERT INTO commun.l_doc_tab
     VALUES ('TI','TIROIR','');
INSERT INTO commun.l_doc_tab
     VALUES ('OR','ORGANISME','');
INSERT INTO commun.l_doc_tab
     VALUES ('ZN','ZONE DE NRO','');
INSERT INTO commun.l_doc_tab
     VALUES ('ZD','ZONE DE DEPLOIEMENT','');
INSERT INTO commun.l_doc_tab
     VALUES ('ZS','ZONE DE SRO','');
INSERT INTO commun.l_doc_tab
     VALUES ('RF','REFERENCE','');
INSERT INTO commun.l_doc_tab
     VALUES ('RT','ROUTE OPTIQUE','');
INSERT INTO commun.l_doc_tab
     VALUES ('CM','CHEMINEMENT','');
INSERT INTO commun.l_doc_tab
     VALUES ('FO','FIBRE','');
INSERT INTO commun.l_doc_tab
     VALUES ('PS','POSITION','');
INSERT INTO commun.l_doc_tab
     VALUES ('SE','SITE EMISSION','');
INSERT INTO commun.l_doc_tab
     VALUES ('LV','LOVE','');
INSERT INTO commun.l_doc_tab
     VALUES ('ZP','ZONE ARRIERE DE PBO','');
INSERT INTO commun.l_doc_tab
     VALUES ('ZC','ZONE COAX','');
